package com.ruoyi.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.domain.Standard;
import com.ruoyi.web.request.GetChapterListRequest;
import com.ruoyi.web.request.StandardEditRequest;
import com.ruoyi.web.request.StandardGetInfoRequest;
import com.ruoyi.web.request.StandardListRequest;
import com.ruoyi.web.response.StandardDTO;
import com.ruoyi.web.response.StandardResponse;
import com.ruoyi.web.response.StandardVO;

import java.io.IOException;
import java.util.List;

/**
 * @description 针对表【t_standard(标准)】的数据库操作Service
 */
public interface StandardService extends IService<Standard> {

    // 分页查询
    List<Standard> findList(StandardListRequest request);

    //根据id查询
    Standard findListById(Long id);

    void editStandard(StandardEditRequest request);

    StandardResponse getInfo(StandardGetInfoRequest request);

    /**
     * 标准库分页查询(可选用标准列表)
     * @param request
     * @return
     */
    List<Standard> findStandardList(StandardListRequest request);

    List<StandardDTO> getStandardDTOList();

//    List<StandardDTO> getStandardDTOListAll(List<StandardDTO> standardDTOList) throws IOException;

    List<StandardDTO> getStandardListNew() throws IOException;
}
