package com.ruoyi.web.request;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.core.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author GaoYing
 */
@Data
@ApiModel
public class TestPlanRecordPageRequest extends PageDomain {
    /**
     * 主键
     */
    @ApiModelProperty("主键")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 车辆型号
     */
    @ApiModelProperty("车辆型号")
    private String carModel;

    /**
     * 被检车企ID
     */
    @ApiModelProperty("被检车企ID")
    private Long inspectCarCompanyId;

    /**
     * 文件路径
     */
    @ApiModelProperty("文件路径")
    private String fileUrl;

    @ApiModelProperty("检测机构")
    private Long testOrganizationId;
}
