package com.ruoyi.web.request;

import com.ruoyi.common.core.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author gaoying
 */
@Data
@ApiModel(value = "TestPlanRecordRequest", description = "检测方案记录分页查询")
public class TestPlanRecordRequest extends PageDomain {
    @ApiModelProperty("被检车企")
    private String inspectCarCompany;


    @ApiModelProperty("车辆型号")
    private String carModel;

    @ApiModelProperty("标准要求id")
    private Long keyPointId;

    @ApiModelProperty("文件路径")
    private String fileUrl;
}
