package com.ruoyi.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author gaoying
 */
@Data
@ApiModel(value = "t_test_object_data", description = "指定检测方案")
public class TestObjectData {
    @ApiModelProperty("主键")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    @ApiModelProperty("类型")
    private String type;


    @ApiModelProperty("对象")
    private String object;

    @ApiModelProperty("描述")
    private String describe;

    @ApiModelProperty("用例编号")
    private String useCaseNo;

    @ApiModelProperty("排序")
    private int sort;
}
