package com.ruoyi.domain.vo;

import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import lombok.Data;

@ApiModel( description = "车型实验用例VO")
@Data
public class RecaordUseCasesVO {

    private String id;
    private String displayID;

    @Excel(name = "用例编号")
    private String customizedID;
    private String name;
    private String description;
    private String remediation;
    private String requirements;

    private String riskLevel;
    private String method;
    private String scenario;


}
