package com.ruoyi.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.domain.TTestPlanRecord;
import com.ruoyi.domain.vo.SystemReviewExportVO;
import com.ruoyi.web.request.SystemReviewExportRequest;
import com.ruoyi.web.request.TestPlanRecordGetInfoRequest;
import com.ruoyi.web.request.TestPlanRecordPageRequest;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
* @author W_YI
* @description 针对表【t_test_plan_record】的数据库操作Mapper
* @createDate 2024-08-30 10:19:06
* @Entity com.ruoyi.domain.TTestPlanRecord
*/
@Repository
public interface TTestPlanRecordMapper extends BaseMapper<TTestPlanRecord> {

    public int insertTestPlanRecord(TTestPlanRecord tTestPlanRecord);

    public TTestPlanRecord selectTestPlanRecordDetails(Long id);

    public List<TTestPlanRecord> selectTestPlanRecordPage(TestPlanRecordPageRequest testPlanRecordPageRequest);

    public int updateTestPlanRecord(TestPlanRecordGetInfoRequest testPlanRecordGetInfoRequest);

    public List<SystemReviewExportVO> systemReviewExport(@Param("standardId") Long standardId, @Param("type") String type);

}




