package com.ruoyi.service;

import com.ruoyi.domain.TTestPlanRecord;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.web.request.TestPlanRecordGetInfoRequest;
import com.ruoyi.web.request.TestPlanRecordPageRequest;

import java.io.IOException;
import java.util.List;

/**
* @author W_YI
* @description 针对表【t_test_plan_record】的数据库操作Service
* @createDate 2024-08-30 10:19:52
*/
public interface TTestPlanRecordService extends IService<TTestPlanRecord> {

    public int insertTestPlanRecord(TTestPlanRecord tTestPlanRecord);

    public TTestPlanRecord selectTestPlanRecordDetails(Long id);

    public List<TTestPlanRecord> selectTestPlanRecordPage(TestPlanRecordPageRequest testPlanRecordPageRequest);

    public int updateTestPlanRecord(TestPlanRecordGetInfoRequest testPlanRecordGetInfoRequest);

    public List getCarTestDetail (String request) throws IOException;

}
