package com.ruoyi.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.domain.TestObjectData;
import com.ruoyi.mapper.TestObjectDataMapper;
import com.ruoyi.service.TestObjectDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional
public class TestObjectDataServiceImpl extends ServiceImpl<TestObjectDataMapper, TestObjectData> implements TestObjectDataService {
    @Autowired
    private TestObjectDataMapper testObjectDataMapper;

    @Override
    public List<TestObjectData> selectTestObjectDataList(){
        return testObjectDataMapper.selectTestObjectDataList();
    }

}
