package com.ruoyi.web.request;


import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author GaoYing
 */
@Data

@ApiModel("导出参数")
public class SystemReviewExportRequest {

    @ApiModelProperty("检验项目")
    private List<String> inspectionTtem;

//    @ApiModelProperty("用例编号")
//    private List<String> useCaseNo;
//
    @ApiModelProperty("标准")
    private String inspectionStandardName;

    @ApiModelProperty("标准ID")
    private Long inspectionStandardId;

    @ApiModelProperty("车型实验json")
    private CarExperimentRequest carExperimentRequest;

    /**
     * 被检车企名称
     */
    @ApiModelProperty("被检车企名称")
    private String inspectCarCompanyName;

    @ApiModelProperty("车辆型号")
    private String carModel;

    @ApiModelProperty("检测机构名称")
    private String testOrganizationName;

    /** 创建时间 */
    @ApiModelProperty("生成时间")
    private String createTime;
}
