package com.ruoyi.web.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel(value = "StandardDTO", description = "标准库左侧")
@Data
public class StandardDTO {

    @ApiModelProperty("大标准id")
    private Long id;

    @ApiModelProperty("大标准编号")
    private String standardNo;

    @ApiModelProperty("大标准名称")
    private String name;

    @ApiModelProperty("标准下三个子任务集合")
    private List<StandardTypeListResponse> typeList;
}
